API reference
Notifications
API reference descriptions are provided in English to preserve the exact published contract.
List effective notification-category preferences
GET /v1/accounts/{AC}/notification-preferences
getV1AccountsByAcNotificationPreferences200
Required scope: `notifications:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Set one notification-category preference
PUT /v1/accounts/{AC}/notification-preferences
putV1AccountsByAcNotificationPreferencesIdempotency-Key required200
Required scope: `notifications:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (3 fields)
Request body| Name | Type | Required | Description |
|---|
category | "sender_health" | "template_status" | "action_required" | "operation_complete" | "security" | "incident" | "product_update" | "billing" | "conversation" | yes | |
email | boolean | yes | |
inApp | boolean | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Set the signed-in user's language for the console and e-mails
PUT /v1/accounts/{AC}/notification-preferences/language
putV1AccountsByAcNotificationPreferencesLanguageIdempotency-Key required200
Required scope: `notifications:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (1 fields)
Request body| Name | Type | Required | Description |
|---|
locale | "en" | "fr" | null | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
List notifications
GET /v1/accounts/{AC}/notifications
getV1AccountsByAcNotificationsPaginated200
Required scope: `notifications:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
limit | query · integer (1–100) | | |
cursor | query · string (max 2048 chars) | | |
unread | query · boolean | | |
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Mark a notification read
POST /v1/accounts/{AC}/notifications/{notificationId}/read
postV1AccountsByAcNotificationsByNotificationidReadIdempotency-Key required200
Required scope: `notifications:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
notificationId | path · string (uuid) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Describe a notification e-mail unsubscribe link (public)
GET /v1/notification-unsubscribe/{token}
getV1NotificationUnsubscribeByTokenNo key needed200
Parameters
Parameters| Name | Type | Required | Description |
|---|
token | path · string (pattern ^[A-Za-z0-9_-]{32,64}$) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Turn off one category of notification e-mail (public, RFC 8058 one-click)
POST /v1/notification-unsubscribe/{token}
postV1NotificationUnsubscribeByTokenIdempotency-Key requiredNo key needed200
Parameters
Parameters| Name | Type | Required | Description |
|---|
token | path · string (pattern ^[A-Za-z0-9_-]{32,64}$) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.